system76-driver (24.04.9~~alpha~1752784665~22.04~5ea4646~dev) jammy; urgency=medium

  * Auto Build

  * Daily WIP for 24.04.9
  * addw3: Re-add psmouse blacklist
  * addw4: Re-add psmouse blacklist

 -- Pop OS (ISO Signing Key) <info@system76.com>  Thu, 17 Jul 2025 14:37:45 -0600

system76-driver (24.04.8) noble; urgency=low

  * Add gaze20

 -- leviport <levi@system76.com>  Mon, 07 Jul 2025 07:07:17 -0600

system76-driver (24.04.7) noble; urgency=low

  * Add addw5

 -- Jeremy Soller <jackpot51@gmail.com>  Tue, 01 Jul 2025 11:28:25 -0600

system76-driver (24.04.6) noble; urgency=low

  * Add meer10
  * Add meer10-b

 -- leviport <levi@system76.com>  Mon, 30 Jun 2025 10:52:01 -0600

system76-driver (24.04.5) noble; urgency=low

  * Add serw14

 -- leviport <levi@system76.com>  Fri, 06 Jun 2025 11:21:42 -0600

system76-driver (24.04.4) noble; urgency=low

  * Add bonw16

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 27 Mar 2025 15:04:04 -0600

system76-driver (24.04.3) noble; urgency=low

  * Add darp11, darp11-b

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 20 Mar 2025 14:52:08 -0600

system76-driver (24.04.2) noble; urgency=low

  * Support NVIDIA 570 driver

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 26 Feb 2025 14:13:12 -0700

system76-driver (24.04.1) noble; urgency=low

  * Add thelio-astra-a1.1

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 24 Feb 2025 08:40:08 -0700

system76-driver (24.04.0) noble; urgency=medium

  * Update version to 24.04.0

 -- Jeremy Soller <jeremy@system76.com>  Wed, 12 Feb 2025 09:04:31 -0700

system76-driver (20.04.110) focal; urgency=low

  * Add thelio-r5

 -- leviport <levi@system76.com>  Tue, 11 Feb 2025 11:22:46 -0700

system76-driver (20.04.109) focal; urgency=low

  * Add linux-system76 dependency for arm64 on Noble

 -- leviport <levi@system76.com>  Tue, 04 Feb 2025 16:07:06 -0700

system76-driver (20.04.108) focal; urgency=low

  * Adds kernel revision to systeminfo.txt file

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 23 Jan 2025 13:39:26 -0700

system76-driver (20.04.107) focal; urgency=low

  * rpl,mtl: Remove psmouse blacklist

 -- leviport <levi@system76.com>  Thu, 19 Dec 2024 08:43:41 -0700

system76-driver (20.04.106) focal; urgency=low

  * thelio-astra-a1: Manual configuration of BMC USB ethernet
  * Add ifupdown as dependency for use in actions

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 18 Dec 2024 11:22:15 -0700

system76-driver (20.04.105) focal; urgency=low

  * Add thelio-spark-r2

 -- leviport <levi@system76.com>  Mon, 16 Dec 2024 14:10:05 -0700

system76-driver (20.04.104) focal; urgency=low

  * Add thelio-mira-r4

 -- leviport <levi@system76.com>  Thu, 12 Dec 2024 13:59:49 -0700

system76-driver (20.04.103) focal; urgency=low

  * thelio-astra-a1: mask suspend

 -- leviport <levi@system76.com>  Thu, 12 Dec 2024 08:58:02 -0700

system76-driver (20.04.102) focal; urgency=low

  * Add meer9

 -- leviport <levi@system76.com>  Tue, 10 Dec 2024 14:57:44 -0700

system76-driver (20.04.101) focal; urgency=low

  * Add pang15

 -- leviport <levi@system76.com>  Tue, 26 Nov 2024 14:45:13 -0700

system76-driver (20.04.100) focal; urgency=low

  * Add thelio-mega-r4

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 20 Nov 2024 14:52:59 -0700

system76-driver (20.04.99) focal; urgency=low

  * Bump nvidia-driver to 550

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 23 Oct 2024 11:08:35 -0600

system76-driver (20.04.98) focal; urgency=low

  * Depend on virtual package for system76-power applet

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 16 Oct 2024 14:28:09 -0600

system76-driver (20.04.97) focal; urgency=low

  * Add thelio-spark-r1

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 16 Oct 2024 11:14:55 -0600

system76-driver (20.04.96) focal; urgency=low

  * Add thelio-astra-a1

 -- Tim Crawford <tcrawford@system76.com>  Tue, 08 Oct 2024 12:16:39 -0600

system76-driver (20.04.95) focal; urgency=low

  * Only require some dependencies on amd64

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 22 Aug 2024 07:39:01 -0600

system76-driver (20.04.94) focal; urgency=low

  * Rebuild for arm64

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 16 Aug 2024 14:03:37 -0600

system76-driver (20.04.93) focal; urgency=low

  * Remove system76-atlantic-reload suspend hook
  * Add bonw15-b
  * Support running GUI as non-root

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 19 Jul 2024 19:24:32 -0600

system76-driver (20.04.92) focal; urgency=low

  * Add thelio-mega-r3

 -- leviport <levi@system76.com>  Mon, 01 Jul 2024 16:02:16 -0600

system76-driver (20.04.91) focal; urgency=low

  * Add lemp13-b

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 17 May 2024 11:02:09 -0600

system76-driver (20.04.90) focal; urgency=low

  * Add meer8-b

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 08 May 2024 13:15:04 -0600

system76-driver (20.04.89) focal; urgency=low

  * Add darp10
  * Add darp10-b

 -- Jeremy Soller <jackpot51@gmail.com>  Tue, 07 May 2024 12:26:24 -0600

system76-driver (20.04.88) focal; urgency=low

  * Add thelio-r4

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 18 Mar 2024 14:19:29 -0600

system76-driver (20.04.87) focal; urgency=low

  * addw4: Blacklist psmouse
  * lemp13: Blacklist psmouse
  * oryp12: Blacklist psmouse

 -- leviport <levi@system76.com>  Mon, 11 Mar 2024 11:54:57 -0600

system76-driver (20.04.86) focal; urgency=low

  * Add addw4
  * Add lemp13
  * Add oryp12

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 28 Feb 2024 10:43:07 -0700

system76-driver (20.04.85) focal; urgency=low

  * system76-atlantic-reload: reload atlantic 10G ethernet pci bridge to avoid hangs

 -- leviport <levi@system76.com>  Tue, 02 Jan 2024 09:38:04 -0700

system76-driver (20.04.84) focal; urgency=low

  * Add thelio-major-r5

 -- leviport <levi@system76.com>  Tue, 26 Dec 2023 09:00:10 -0700

system76-driver (20.04.83) focal; urgency=low

  * Add pang14

 -- leviport <levi@system76.com>  Tue, 28 Nov 2023 11:31:22 -0700

system76-driver (20.04.82) focal; urgency=low

  * Add meer8

 -- leviport <levi@system76.com>  Mon, 06 Nov 2023 09:48:13 -0700

system76-driver (20.04.81) focal; urgency=low

  * Add thelio-spark-b1

 -- leviport <levi@system76.com>  Wed, 20 Sep 2023 13:46:12 -0600

system76-driver (20.04.80) focal; urgency=low

  * Add pang13

 -- leviport <levi@system76.com>  Wed, 06 Sep 2023 10:37:30 -0600

system76-driver (20.04.79) focal; urgency=low

  * Add galp7
  * Add darp9
  * Add lemp12

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 11 May 2023 13:08:50 -0600

system76-driver (20.04.78) focal; urgency=low

  * Add thelio-mira-b4.1

 -- leviport <levi@system76.com>  Wed, 22 Mar 2023 17:36:18 -0600

system76-driver (20.04.77) focal; urgency=low

  * Add addw3
  * Add bonw15
  * Add gaze18
  * Add oryp11
  * Add serw13

 -- Jeremy Soller <jackpot51@gmail.com>  Tue, 21 Mar 2023 15:03:40 -0600

system76-driver (20.04.76) focal; urgency=low

  * Add meer7

 -- leviport <levi@system76.com>  Tue, 21 Mar 2023 11:54:47 -0600

system76-driver (20.04.75) focal; urgency=low

  * Add thelio-major-r4

 -- leviport <levi@system76.com>  Thu, 16 Feb 2023 15:17:18 -0700

system76-driver (20.04.74) focal; urgency=low

  * Add thelio-b5

 -- leviport <levi@system76.com>  Mon, 06 Feb 2023 15:46:31 -0700

system76-driver (20.04.73) focal; urgency=low

  * Remove user audio daemon. Upstreamed into ALSA.

 -- leviport <levi@system76.com>  Fri, 03 Feb 2023 12:31:33 -0700

system76-driver (20.04.72) focal; urgency=low

  * Blacklist psmouse on TGL and ADL

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 20 Jan 2023 09:16:49 -0700

system76-driver (20.04.71) focal; urgency=medium

  * Add Pang 12
  * Add thelio-mira-b4
  * Add `touchpad_use_areas` action

 -- leviport <levi@system76.com>  Tue, 17 Jan 2023 16:21:23 -0700

system76-driver (20.04.70) focal; urgency=low

  * Add thelio-r3

 -- leviport <levi@system76.com>  Tue, 20 Dec 2022 11:18:20 -0700

system76-driver (20.04.69) focal; urgency=low

  * Use nvidia-driver-525 for NVIDIA ISO

 -- leviport <levi@system76.com>  Wed, 07 Dec 2022 08:50:50 -0700

system76-driver (20.04.68) focal; urgency=low

  * Add thelio-major-r3

 -- leviport <levi@system76.com>  Tue, 06 Dec 2022 09:08:07 -0700

system76-driver (20.04.67) focal; urgency=low

  * Add thelio-major-b4

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 10 Nov 2022 13:50:29 -0700

system76-driver (20.04.66) focal; urgency=low

  * Remove nvidia-driver-510 dependency option

 -- leviport <levi@system76.com>  Tue, 25 Oct 2022 08:26:25 -0600

system76-driver (20.04.65) focal; urgency=low

  * Add thelio-mira-r3

 -- leviport <levi@system76.com>  Mon, 17 Oct 2022 11:09:07 -0600

system76-driver (20.04.64) focal; urgency=low

  * Add thelio-mega-r2

 -- 13r0ck <bnr@tuta.io>  Wed, 07 Sep 2022 15:38:11 -0600

system76-driver (20.04.63) focal; urgency=low

  * Add oryp10
  * Add thelio-b4

 -- Levi Portenier <levi@system76.com>  Tue, 30 Aug 2022 12:00:34 -0600

system76-driver (20.04.62) focal; urgency=low

  * Remove the Display off and Suspend reset button.

 -- Levi Portenier <levi@system76.com>  Thu, 25 Aug 2022 11:46:04 -0600

system76-driver (20.04.61) focal; urgency=low

  * Add a Display off and Suspend reset button.

 -- leviport <levi@system76.com>  Thu, 18 Aug 2022 08:20:57 -0600

system76-driver (20.04.60) focal; urgency=low

  * Add galp6
  * Fix Bluetooth suspend workaround

 -- leviport <levi@system76.com>  Tue, 02 Aug 2022 08:51:08 -0600

system76-driver (20.04.59) focal; urgency=low

  * Add lemp11 and oryp9

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 22 Jun 2022 10:09:26 -0600

system76-driver (20.04.58) focal; urgency=low

  * Add darp8

 -- Jeremy Soller <jackpot51@gmail.com>  Wed, 22 Jun 2022 09:22:30 -0600

system76-driver (20.04.57) focal; urgency=low

  * Bluetooth suspend workaround

 -- Jeremy Soller <jackpot51@gmail.com>  Tue, 21 Jun 2022 21:14:09 -0600

system76-driver (20.04.56) focal; urgency=low

  * Support nvidia-driver-515

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 20 Jun 2022 15:02:57 -0600

system76-driver (20.04.55) focal; urgency=low

  * Add thelio-mira-r2

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 23 May 2022 09:53:00 -0600

system76-driver (20.04.54) focal; urgency=low

  * Add gaze17

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 20 May 2022 15:02:53 -0600

system76-driver (20.04.53) focal; urgency=low

  * Update logs generated by `system76-driver` to match support panel

 -- leviport <levi@system76.com>  Fri, 20 May 2022 13:10:43 -0600

system76-driver (20.04.52) focal; urgency=low

  * Add thelio-mira-b2
  * Add thelio-mira-b3

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 09 May 2022 07:07:26 -0600

system76-driver (20.04.51) focal; urgency=low

  * Add thelio-b3

 -- Jeremy Soller <jackpot51@gmail.com>  Fri, 06 May 2022 14:00:12 -0600

system76-driver (20.04.50) focal; urgency=low

  * Use uname function from os instead of distro

 -- Jeremy Soller <jackpot51@gmail.com>  Mon, 18 Apr 2022 10:58:09 -0600

system76-driver (20.04.49) focal; urgency=low

  * Allow either nvidia-driver-510 or nvidia-driver-470 to be installed

 -- Jeremy Soller <jackpot51@gmail.com>  Thu, 24 Feb 2022 09:17:57 -0700

system76-driver (20.04.48) focal; urgency=low

  * Add kudu6

 -- Jeremy Soller <jackpot51@gmail.com>  Tue, 01 Feb 2022 14:43:07 -0700

system76-driver (20.04.47) focal; urgency=low

  * Fix mic-in on major-r2.2

 -- Jeremy Soller <jeremy@system76.com>  Mon, 10 Jan 2022 08:51:08 -0700

system76-driver (20.04.46) focal; urgency=low

  * Fix line-in on major-r2.1 with rev1.2 motherboards

 -- Jeremy Soller <jeremy@system76.com>  Tue, 21 Dec 2021 14:47:48 -0700

system76-driver (20.04.45) focal; urgency=low

  * Set microphone device for thelio-major-r2.2

 -- Jeremy Soller <jeremy@system76.com>  Mon, 22 Nov 2021 13:31:23 -0700

system76-driver (20.04.44) focal; urgency=low

  * Add gaze16-3060-b

 -- Jeremy Soller <jeremy@system76.com>  Tue, 02 Nov 2021 12:09:27 -0600

system76-driver (20.04.43) focal; urgency=low

  * lemp9: Add intel_idle.max_cstate=4 kernel parameter to fix freezes

 -- Jeremy Soller <jeremy@system76.com>  Wed, 29 Sep 2021 10:32:23 -0600

system76-driver (20.04.42) focal; urgency=low

  * Add oryp8

 -- Jeremy Soller <jeremy@system76.com>  Thu, 16 Sep 2021 15:50:15 -0600

system76-driver (20.04.41) focal; urgency=low

  * Add pang11

 -- leviport <levi@system76.com>  Mon, 30 Aug 2021 10:58:01 -0600

system76-driver (20.04.40) focal; urgency=low

  * Fix line-in on mira-b1

 -- leviport <levi@system76.com>  Wed, 14 Jul 2021 17:20:01 -0600

system76-driver (20.04.39) focal; urgency=low

  * Add gaze16-3050, gaze16-3060

 -- Jeremy Soller <jeremy@system76.com>  Tue, 13 Jul 2021 10:24:07 -0600

system76-driver (20.04.38) focal; urgency=low

  * FileAction: Create parent directories if necessary

 -- leviport <levi@system76.com>  Fri, 09 Jul 2021 15:40:51 -0600

system76-driver (20.04.37) focal; urgency=low

  * Adds an uptime output file for support

 -- leviport <levi@system76.com>  Wed, 07 Jul 2021 14:32:31 -0600

system76-driver (20.04.36) focal; urgency=low

  * Thelio-mira-b1: Added quirk for Nvidia GPUs for drivers 460 and 465
  * General: Amended quirk-handler command in the system76-driver-nvidia
    postinstall script to use system76-driver-nvidia if the NVIDIA driver is
    loaded.

 -- Jeremy Soller <jeremy@system76.com>  Tue, 22 Jun 2021 14:02:31 -0600

system76-driver (20.04.35) focal; urgency=low

  * Add thelio-mira-b1 and its required audio and graphics fixes

 -- Jeremy Soller <jeremy@system76.com>  Tue, 15 Jun 2021 11:22:50 -0600

system76-driver (20.04.34) focal; urgency=low

  * meer5: Fix audio on revision without headphone jack

 -- Jeremy Soller <jeremy@system76.com>  Thu, 10 Jun 2021 09:40:06 -0600

system76-driver (20.04.33) focal; urgency=low

  * Apply meer6 audio fix

 -- Jeremy Soller <jeremy@system76.com>  Fri, 14 May 2021 16:07:54 -0600

system76-driver (20.04.32) focal; urgency=low

  * Add meer6

 -- Jeremy Soller <jeremy@system76.com>  Wed, 12 May 2021 14:21:14 -0600

system76-driver (20.04.31) focal; urgency=low

  * Add pang10 WD Blue drive fix

 -- Jeremy Soller <jeremy@system76.com>  Mon, 05 Apr 2021 16:21:47 -0600

system76-driver (20.04.30) focal; urgency=low

  * Add sensors command to log output
  * Handle cases where commands are missing

 -- Jeremy Soller <jeremy@system76.com>  Fri, 26 Feb 2021 13:05:03 -0700

system76-driver (20.04.29) focal; urgency=low

  * Add oryp7

 -- Jeremy Soller <jeremy@system76.com>  Wed, 24 Feb 2021 12:29:22 -0700

system76-driver (20.04.28) focal; urgency=low

  * Disable buggy Intel HDA power saving for thelio-r2

 -- Jeremy Soller <jeremy@system76.com>  Tue, 23 Feb 2021 12:11:23 -0700

system76-driver (20.04.27) focal; urgency=low

  * Add thelio-major-b3

 -- Jeremy Soller <jeremy@system76.com>  Tue, 02 Feb 2021 11:41:43 -0700

system76-driver (20.04.26) focal; urgency=low

  * Update to NVIDIA driver 460
  * Remove NVIDIA dynamic power override

 -- Jeremy Soller <jeremy@system76.com>  Mon, 25 Jan 2021 12:54:59 -0700

system76-driver (20.04.25) focal; urgency=low

  * Move wallpapers to recommends and remove gsettings override
  * Add apt/history logs

 -- Jeremy Soller <jeremy@system76.com>  Mon, 25 Jan 2021 09:28:09 -0700

system76-driver (20.04.24) focal; urgency=low

  * Set card name to 'Audio' on mega-r1*

 -- Jeremy Soller <jeremy@system76.com>  Fri, 15 Jan 2021 15:43:05 -0700

system76-driver (20.04.23) focal; urgency=low

  * Move serw12 ForceFullCompositionPipeline from profile to xprofile

 -- Jeremy Soller <jeremy@system76.com>  Fri, 08 Jan 2021 14:46:23 -0700

system76-driver (20.04.22) focal; urgency=low

  * Add darp7

 -- Jeremy Soller <jeremy@system76.com>  Tue, 29 Dec 2020 09:38:06 -0700

system76-driver (20.04.21) focal; urgency=low

  * oryp6: Add i915 driver to initramfs

 -- Jeremy Soller <jeremy@system76.com>  Tue, 29 Dec 2020 08:05:53 -0700

system76-driver (20.04.20) focal; urgency=low

  * gaze15 & serw12: Add i8042.nomux option to prevent keyboard issues after suspend.

 -- Jeremy Soller <jeremy@system76.com>  Fri, 18 Dec 2020 12:52:01 -0700

system76-driver (20.04.19) focal; urgency=low

  * galp5: Set NVIDIA dynamic power to recommended value

 -- Jeremy Soller <jeremy@system76.com>  Tue, 15 Dec 2020 19:03:53 -0700

system76-driver (20.04.18) focal; urgency=low

  * serw12: set NVIDIA ForceFullCompositionPipeline (and unset Firefox WebRender)

 -- Jeremy Soller <jeremy@system76.com>  Mon, 14 Dec 2020 14:49:21 -0700

system76-driver (20.04.17) focal; urgency=low

  * Set card name to 'Audio' for thelio-mega-r1

 -- Jeremy Soller <jeremy@system76.com>  Wed, 25 Nov 2020 13:09:49 -0700

system76-driver (20.04.16) focal; urgency=low

  * Add galp5, lemp10, pang10, and thelio-mira-r1

 -- Jeremy Soller <jeremy@system76.com>  Thu, 19 Nov 2020 10:14:51 -0700

system76-driver (20.04.15) focal; urgency=low

  * Update NVIDIA driver to 455

 -- Jeremy Soller <jeremy@system76.com>  Thu, 22 Oct 2020 09:16:13 -0600

system76-driver (20.04.14) focal; urgency=low

  * Add lsblk -f and df -h output to the logs

 -- Jeremy Soller <jeremy@system76.com>  Fri, 25 Sep 2020 10:21:53 -0600

system76-driver (20.04.13) focal; urgency=low

  * Add thelio-major-r2.1 and thelio-mega-r1.1

 -- Jeremy Soller <jeremy@system76.com>  Mon, 31 Aug 2020 10:34:53 -0600

system76-driver (20.04.12) focal; urgency=low

  * Add bonw14

 -- Jeremy Soller <jeremy@system76.com>  Wed, 19 Aug 2020 07:59:30 -0600

system76-driver (20.04.11) focal; urgency=low

  * Add i8042.nomux to kernel boot parameters on gaze14 to prevent keyboard issue after suspend/resume

 -- Jeremy Soller <jeremy@system76.com>  Mon, 22 Jun 2020 15:47:38 -0600

system76-driver (20.04.10) focal; urgency=low

  * Add oryp6
  * USB audio fixup in user daemon instead of pulseaudio config

 -- Jeremy Soller <jeremy@system76.com>  Wed, 17 Jun 2020 11:50:04 -0600

system76-driver (20.04.9) focal; urgency=low

  * Recommend amd-ppt-bin in system76-driver-nvidia

 -- Jeremy Soller <jeremy@system76.com>  Tue, 09 Jun 2020 10:22:39 -0600

system76-driver (20.04.8) focal; urgency=low

  * Add thelio-b2

 -- Jeremy Soller <jeremy@system76.com>  Wed, 20 May 2020 08:26:21 -0600

system76-driver (20.04.7) focal; urgency=low

  * Add logging of the fstab file to assist with OS upgrades
  * Add logging of the sources.list file and the sources.list.d directory

 -- Jeremy Soller <jeremy@system76.com>  Mon, 18 May 2020 10:21:14 -0600

system76-driver (20.04.6) focal; urgency=low

  * Add addw2 and gaze14

 -- Jeremy Soller <jeremy@system76.com>  Fri, 24 Apr 2020 13:36:12 -0600

system76-driver (20.04.5) focal; urgency=low

  * Add serw12
  * Add thelio-r2

 -- Jeremy Soller <jeremy@system76.com>  Tue, 14 Apr 2020 14:27:22 -0600

system76-driver (20.04.4) focal; urgency=low

  * Update to nvidia-driver-440

 -- Jeremy Soller <jeremy@system76.com>  Tue, 07 Apr 2020 11:48:32 -0600

system76-driver (20.04.3) focal; urgency=low

  * Add meer5
  * Add lemp9

 -- Jeremy Soller <jeremy@system76.com>  Tue, 31 Mar 2020 13:03:57 -0600

system76-driver (20.04.2) focal; urgency=low

  * Fix test for USB audio S/PDIF

 -- Jeremy Soller <jeremy@system76.com>  Thu, 26 Mar 2020 11:40:13 -0600

system76-driver (20.04.1) focal; urgency=medium

  * Update the bump and make file versions to include focal
  * Replace platform with disto
  * Add dh-python and disto to import

 -- Aaron Honeycutt <aaron@system76.com>  Wed, 11 Mar 2020 09:54:33 -0600

system76-driver (19.10.2) eoan; urgency=low

  * Fix for Threadripper 3 USB audio SPDIF

 -- shpurk <benjamin@system76.com>  Fri, 24 Jan 2020 10:17:37 -0700

system76-driver (19.10.1) eoan; urgency=low

  * Eoan release

 -- shpurk <benjamin@system76.com>  Wed, 15 Jan 2020 08:48:11 -0700

system76-driver (19.04.22) disco; urgency=low

  * Add thelio-mega-b1
  * Add thelio-mega-r1
  * Fix for Threadripper 3 USB audio microphone

 -- shpurk <benpack101@gmail.com>  Tue, 14 Jan 2020 16:36:13 -0700

system76-driver (19.04.21) disco; urgency=low

  * Add thelio-major-r2

 -- Jeremy Soller <jeremy@system76.com>  Fri, 10 Jan 2020 08:59:12 -0700

system76-driver (19.04.20) disco; urgency=low

  * system76-thunderbolt-reload: reload thunderbolt device to avoid hangs
  * Depend on linux-system76

 -- Jeremy Soller <jeremy@system76.com>  Mon, 28 Oct 2019 21:01:09 -0600

system76-driver (19.04.19) disco; urgency=low

  * Depend on system76-acpi-dkms

 -- Jeremy Soller <jeremy@system76.com>  Fri, 11 Oct 2019 12:08:01 -0600

system76-driver (19.04.18) disco; urgency=low

  * Use HWE instead of HWE edge kernel on 18.04

 -- Jeremy Soller <jeremy@system76.com>  Fri, 20 Sep 2019 10:23:14 -0600

system76-driver (19.04.17) disco; urgency=low

  * Add darp6 and galp4

 -- shpurk <benpack101@gmail.com>  Mon, 16 Sep 2019 21:02:49 -0600

system76-driver (19.04.16) disco; urgency=low

  * Update make-release script to not rely on bzr

 -- shpurk <benpack101@gmail.com>  Fri, 23 Aug 2019 18:32:10 -0600

system76-driver (19.04.15) disco; urgency=low

  * Remove firmware GUI, now handled by firmware-manager

 -- Jeremy Soller <jeremy@system76.com>  Fri, 16 Aug 2019 17:38:22 -0600

system76-driver (19.04.14) disco; urgency=low

  * Add APT preferences to prevent overriding

 -- Jeremy Soller <jeremy@system76.com>  Thu, 08 Aug 2019 14:21:48 -0600

system76-driver (19.04.13) disco; urgency=low

  * Blacklist i2c_nvidia_gpu on gaze14

 -- Jeremy Soller <jeremy@system76.com>  Thu, 08 Aug 2019 11:03:41 -0600

system76-driver (19.04.12) disco; urgency=low

  * Blacklist i2c_nvidia_gpu on addw1

 -- Jeremy Soller <jeremy@system76.com>  Mon, 05 Aug 2019 13:45:00 -0600

system76-driver (19.04.11) disco; urgency=low

  * Depend on system76-oled for brightness support on addw1

 -- Jeremy Soller <jeremy@system76.com>  Mon, 05 Aug 2019 09:01:03 -0600

system76-driver (19.04.10) disco; urgency=low

  * Improve instructions for firmware updates

 -- Jeremy Soller <jeremy@system76.com>  Fri, 26 Jul 2019 07:54:22 -0600

system76-driver (19.04.9) disco; urgency=low

  * Add addw1
  * Enable firmware updates for meer4 and thelio
  * Enable firmware updates for Thelio Io
  * Use Linux 5.0 or newer to support Ryzen 3xxx

 -- Jeremy Soller <jeremy@system76.com>  Mon, 08 Jul 2019 11:19:56 -0600

system76-driver (19.04.8) disco; urgency=low

  * Add gaze14

 -- Jeremy Soller <jeremy@system76.com>  Tue, 07 May 2019 15:04:12 -0600

system76-driver (19.04.7) disco; urgency=low

  * Improvements for kernelstub option modifications

 -- shpurk <benjamin@system76.com>  Mon, 25 Feb 2019 14:45:53 -0700

system76-driver (19.04.6) disco; urgency=low

  * Add snd_hda_intel.probe_mask=1 for oryp5

 -- Jeremy Soller <jeremy@system76.com>  Fri, 22 Feb 2019 16:26:36 -0700

system76-driver (19.04.5) disco; urgency=low

  * Add serw11-b to ESS DAC autoswitch

 -- Jeremy Soller <jeremy@system76.com>  Tue, 19 Feb 2019 09:36:34 -0700

system76-driver (19.04.4) disco; urgency=low

  * Add thelio-major-b1.1 and thelio-major-b2

 -- Jeremy Soller <jeremy@system76.com>  Mon, 18 Feb 2019 12:33:48 -0700

system76-driver (19.04.3) disco; urgency=low

  * Add serw11-b with RTX 20x0 GPUs support

 -- Jeremy Soller <jeremy@system76.com>  Wed, 06 Feb 2019 15:51:13 -0700

system76-driver (19.04.2) disco; urgency=low

  * Add oryp5
  * Merge bionic, cosmic, and disco branches
  * Fix headset microphone on darp5

 -- Jeremy Soller <jeremy@system76.com>  Thu, 31 Jan 2019 10:01:57 -0700

system76-driver (19.04.1) disco; urgency=low

  * Disco release

 -- Jeremy Soller <jeremy@system76.com>  Wed, 09 Jan 2019 13:55:35 -0700

system76-driver (18.10.6) cosmic; urgency=low

  * Add darp5

 -- Jeremy Soller <jeremy@system76.com>  Thu, 03 Jan 2019 12:08:07 -0700

system76-driver (18.10.5) cosmic; urgency=low

  * Add galp3-c

 -- Jeremy Soller <jeremy@system76.com>  Wed, 19 Dec 2018 15:27:35 -0700

system76-driver (18.10.4) cosmic; urgency=low

  * Add meer4

 -- shpurk <benjamin@system76.com>  Tue, 04 Dec 2018 15:58:21 -0700

system76-driver (18.10.3) cosmic; urgency=low

  * Add thelio-b1
  * Add thelio-r1
  * Add thelio-major-b1
  * Add thelio-major-r1
  * Add thelio-massive-b1

 -- Jeremy Soller <jeremy@system76.com>  Fri, 30 Nov 2018 10:53:16 -0700

system76-driver (18.10.2) cosmic; urgency=low

  * oryp4-b: remove action to switch left/right internal speaker channels

 -- David Jordan <david2@system76.com>  Thu, 18 Oct 2018 12:53:25 -0600

system76-driver (18.10.1) cosmic; urgency=low

  * oryp4: manage processor TDP to maintain stability and optimize performance

 -- Jeremy Soller <jeremy@system76.com>  Thu, 11 Oct 2018 11:56:54 -0600

system76-driver (18.10.0) cosmic; urgency=low

  * Fix other kernelstub action checking

 -- Jeremy Soller <jeremy@system76.com>  Wed, 15 Aug 2018 13:46:23 -0600

system76-driver (18.04.27) bionic; urgency=low

  * Fix kernelstub action checking

 -- David Jordan <david2@system76.com>  Tue, 07 Aug 2018 16:15:09 -0600

system76-driver (18.04.26) bionic; urgency=low

  * Update logo on About page
  * Update copyright year

 -- Benjamin Shpurker <benjamin@system76.com>  Fri, 27 Jul 2018 15:13:50 -0600

system76-driver (18.04.25) bionic; urgency=low

  * Add action to switch left/right internal speaker channels on oryp4-b.
  * Add nvreg_enablebacklighthandler for oryp2

 -- David Jordan <david2@system76.com>  Wed, 27 Jun 2018 16:58:14 -0600

system76-driver (18.04.24) bionic; urgency=low

  * Add gaze13 and kudu5
  * Add actions for ENERGY STAR compliance on galp3-b (Ubuntu-only)

 -- David Jordan <david2@system76.com>  Thu, 14 Jun 2018 15:34:53 -0600

system76-driver (18.04.23) bionic; urgency=low

  * Add daemon item to fix oryp4-b backlight

 -- David Jordan <david2@system76.com>  Thu, 07 Jun 2018 15:36:26 -0600

system76-driver (18.04.22) bionic; urgency=low

  * Update journalctl to capture only the last day of logs

 -- James Gross <james@system76.com>  Wed, 30 May 2018 14:34:31 -0600

system76-driver (18.04.21) bionic; urgency=low

  * Add leow9-b

 -- Benjamin Shpurker <benjamin@system76.com>  Wed, 29 May 2018 11:09:25 -0600

system76-driver (18.04.20) bionic; urgency=low

  * Add silw3

 -- Jeremy Soller <jeremy@system76.com>  Wed, 16 May 2018 17:14:25 -0600

system76-driver (18.04.19) bionic; urgency=low

  * Add oryp4-b

 -- Jeremy Soller <jeremy@system76.com>  Wed, 16 May 2018 16:06:25 -0600

system76-driver (18.04.18) bionic; urgency=low

  * Add nvreg_enablebacklighthandler for orxp1

 -- David Jordan <david2@system76.com>  Tue, 15 May 2018 15:15:47 -0600

system76-driver (18.04.17) bionic; urgency=low

  * Update ESS DAC Autoswitch for bionic

 -- David Jordan <david2@system76.com>  Fri, 11 May 2018 16:21:18 -0600

system76-driver (18.04.16) bionic; urgency=low

  * Add nvreg_enablebacklighthandler for oryp3

 -- David Jordan <david2@system76.com>  Tue, 08 May 2018 16:50:52 -0600

system76-driver (18.04.15) bionic; urgency=low

  * Remove wildcard quirk handler, update quirk handlers to nvidia-390

 -- Jeremy Soller <jeremy@system76.com>  Tue, 08 May 2018 16:19:37 -0600

system76-driver (18.04.14) bionic; urgency=low

  * Add oryp4 to GPE6F fix

 -- Jeremy Soller <jeremy@system76.com>  Mon, 07 May 2018 11:38:33 -0600

system76-driver (18.04.13) bionic; urgency=low

  * GrubActions now edit kernelstub configuration if present
  * Add nvreg_enablebacklighthandler to serw11

 -- David Jordan <david2@system76.com>  Mon, 07 May 2018 10:48:25 -0600

system76-driver (18.04.12) bionic; urgency=low

  * Add oryp4 and galp3-b

 -- Jeremy Soller <jeremy@system76.com>  Wed, 02 May 2018 15:50:52 -0600

system76-driver (18.04.11) bionic; urgency=low

  * Sync error message from artful

 -- Jeremy Soller <jeremy@system76.com>  Fri, 20 Apr 2018 10:01:06 -0600

system76-driver (18.04.10) bionic; urgency=low

  * Test new maintainer scripts

 -- Jeremy Soller <jeremy@system76.com>  Fri, 06 Apr 2018 09:46:28 -0600

system76-driver (18.04.9) bionic; urgency=low

  * Remove hidpi-daemon files

 -- Jeremy Soller <jeremy@system76.com>  Thu, 05 Apr 2018 16:40:26 -0600

system76-driver (18.04.8) bionic; urgency=low

  * Break out hidpi-daemon package

 -- Jeremy Soller <jeremy@system76.com>  Thu, 05 Apr 2018 16:04:31 -0600

system76-driver (18.04.7) bionic; urgency=low

  * Use Pop build system
  * Depend on system76-dkms

 -- Jeremy Soller <jeremy@system76.com>  Thu, 05 Apr 2018 13:40:49 -0600

system76-driver (18.04.6) bionic; urgency=low

  * Switch to system76-firmware-daemon

 -- Jeremy Soller <jeremy@system76.com>  Thu, 05 Apr 2018 11:19:47 -0600

system76-driver (18.04.5) bionic; urgency=low

  * Sync with artful

 -- Jeremy Soller <jeremy@system76.com>  Wed, 21 Mar 2018 09:52:31 -0600

system76-driver (18.04.4) bionic; urgency=low

  * Enable updates on all systems

 -- Jeremy Soller <jeremy@system76.com>  Thu, 08 Mar 2018 10:27:35 -0700

system76-driver (18.04.3) bionic; urgency=low

  * Sync with artful

 -- Jeremy Soller <jeremy@system76.com>  Mon, 12 Feb 2018 12:36:58 -0700

system76-driver (18.04.2) bionic; urgency=low

  * Add 'leow9', 'leow9-w', and 'wilp14'

 -- Jeremy Soller <jeremy@system76.com>  Thu, 16 Nov 2017 09:43:37 -0700

system76-driver (18.04.1) bionic; urgency=low

  * Add 'bonw13' and 'serw11'

 -- Jeremy Soller <jeremy@system76.com>  Thu, 16 Nov 2017 09:26:38 -0700

system76-driver (18.04.0) bionic; urgency=low

  * Update to bionic series

 -- Jeremy Soller <jeremy@system76.com>  Wed, 08 Nov 2017 09:39:16 -0700

system76-driver (17.10.6) artful; urgency=low

  * xdg autostart .desktop for xbacklight workaround

 -- David Jordan <david2@system76.com>  Thu, 02 Nov 2017 16:21:36 -0600

system76-driver (17.10.5) artful; urgency=low

  * make xbacklight workaround its own systemd user daemon.

 -- David Jordan <david2@system76.com>  Tue, 31 Oct 2017 10:45:49 -0600

system76-driver (17.10.4) artful; urgency=low

  * xbacklight-based workaround for backlight brightness in gnome on nvidia 9 series

 -- David Jordan <david2@system76.com>  Mon, 30 Oct 2017 09:55:16 -0600

system76-driver (17.10.3) artful; urgency=low

  * Process quirks when nvidia driver is already installed

 -- David Jordan <david2@system76.com>  Wed, 27 Sep 2017 15:53:22 -0600

system76-driver (17.10.2) artful; urgency=low

  * Add 'lemu8'

 -- Jeremy Soller <jeremy@system76.com>  Fri, 22 Sep 2017 10:32:00 -0600

system76-driver (17.10.1) artful; urgency=low

  * Remove acpi_backlight action from 10XX NVIDIA models

 -- Jeremy Soller <jeremy@system76.com>  Tue, 19 Sep 2017 15:13:19 -0600

system76-driver (17.10.0) artful; urgency=low

  * Update to artful series

 -- Jeremy Soller <jeremy@system76.com>  Tue, 19 Sep 2017 15:02:04 -0600

system76-driver (17.04.10) zesty; urgency=low

  * Add 'galp3'

 -- Jeremy Soller <jeremy@system76.com>  Tue, 19 Sep 2017 14:48:09 -0600

system76-driver (17.04.9) zesty; urgency=low

  * Rename 'oryp3-l' to 'oryp3-b'

 -- Jeremy Soller <jeremy@system76.com>  Mon, 21 Aug 2017 10:51:11 -0600

system76-driver (17.04.8) zesty; urgency=low

  * Add 'leow8'

 -- Jeremy Soller <jeremy@system76.com>  Wed, 16 Aug 2017 11:48:27 -0600

system76-driver (17.04.7) zesty; urgency=low

  * Add 'oryp3-l'

 -- Jeremy Soller <jeremy@system76.com>  Wed, 16 Aug 2017 11:14:15 -0600

system76-driver (17.04.6) zesty; urgency=low

  * Keep the system76-dev/stable ppa enabled through release upgrades

 -- David Jordan <david2@system76.com>  Mon, 19 Jun 2017 13:39:41 -0600

system76-driver (17.04.5) zesty; urgency=low

  * Remove compiz workarounds after releasing NVIDIA 375.66 driver
  * Enable OpenGL flipping for GTX 1060
  * Change gsettings override priority to 40

 -- David Jordan <david2@system76.com>  Tue, 16 May 2017 16:25:28 -0600

system76-driver (17.04.4) zesty; urgency=low

  * Update HiDPI action for galp2.

 -- David Jordan <david2@system76.com>  Wed, 10 May 2017 16:35:01 -0600

system76-driver (17.04.3) zesty; urgency=low

  * Add HiDPI/LoDPI autoscaling daemon for multi-monitor setups.

 -- David Jordan <david2@system76.com>  Thu, 04 May 2017 15:07:28 -0600

system76-driver (17.04.2) zesty; urgency=low

  * Add 'galp2'

 -- Jeremy Soller <jeremy@system76.com>  Mon, 24 Apr 2017 11:38:21 -0600

system76-driver (17.04.1) zesty; urgency=low

  * Fix grapical corruption issue with compiz and NVIDIA 375.39 driver

 -- David Jordan <david2@system76.com>  Thu, 13 Apr 2017 16:47:41 -0600

system76-driver (17.04.0) zesty; urgency=low

  * Update to zesty series

 -- Jeremy Soller <jeremy@system76.com>  Thu, 06 Apr 2017 12:07:01 -0600

system76-driver (16.10.19) yakkety; urgency=low

  * Add 'kudu4' and 'gaze12'

 -- David Jordan <david2@system76.com>  Wed, 29 Mar 2017 14:20:15 -0600

system76-driver (16.10.18) yakkety; urgency=low

  * Use who instead of w to support longer usernames in ESS DAC autoswitch

 -- Jeremy Soller <jeremy@system76.com>  Thu, 23 Mar 2017 14:23:25 -0600

system76-driver (16.10.17) yakkety; urgency=low

  * Apply ESS DAC pinctl on resume
  * Fix ESS DAC autoswitch with long usernames

 -- Jeremy Soller <jeremy@system76.com>  Thu, 23 Mar 2017 13:36:12 -0600

system76-driver (16.10.16) yakkety; urgency=low

  * Add meer3 product
  * Fix meer3 headset jack

 -- Jeremy Soller <jeremy@system76.com>  Mon, 13 Mar 2017 13:43:28 -0600

system76-driver (16.10.15) yakkety; urgency=low

  * Add bonw12 and wilp13

 -- David Jordan <david2@system76.com>  Mon, 20 Feb 2017 10:31:51 -0700

system76-driver (16.10.14) yakkety; urgency=low

  * ESS DAC autoswitch: Fix input profile

 -- David Jordan <david2@system76.com>  Wed, 08 Feb 2017 12:20:50 -0700

system76-driver (16.10.13) yakkety; urgency=low

  * Update ESS DAC autoswitching to use hardcoded PCI address

 -- Jeremy Soller <jeremy@system76.com>  Mon, 06 Feb 2017 11:18:01 -0700

system76-driver (16.10.12) yakkety; urgency=low

  * NoFlip fix for Serw10 with GTX 1060
  * Add support for ESS DAC autoswitching

 -- Jeremy Soller <jeremy@system76.com>  Fri, 03 Feb 2017 14:16:50 -0700

system76-driver (16.10.11) yakkety; urgency=low

  * debian/system76-driver-nvidia.postinst: run quirks-handler on post install

 -- David Jordan <david2@system76.com>  Tue, 31 Jan 2017 12:45:43 -0700

system76-driver (16.10.10) yakkety; urgency=low

  * Add nvidia quirks for oryp3 and oryp3-ess
  * system76-nvidia-quirks: match sys_vendor 'System76, Inc.|System76'
  * Change bonw11 and serw10 nvidia quirks to also match sys_vendor 'System76'

 -- David Jordan <david2@system76.com>  Thu, 26 Jan 2017 17:40:50 -0700

system76-driver (16.10.9) yakkety; urgency=low

  * Add oryp3 and oryp3-ess
  * system76driver/__init__.py: Add new sys_vendor to list

 -- David Jordan <david2@system76.com>  Tue, 24 Jan 2017 16:24:25 -0700

system76-driver (16.10.8) yakkety; urgency=low

  * debian/control: system76-driver-nvidia now depends on nvidia-367 (in prep
    for GTX 1080, GTX 1070)
  * system76-nvidia-quirks: update Handler to "nvidia-367|nvidia-340"
  * Change model specific nvidia quirks handler to nvidia-375 from nvidia-367

 -- David Jordan <david2@system76.com>  Tue, 03 Jan 2017 16:20:13 -0700

system76-driver (16.10.7) yakkety; urgency=low

  * Correct xrandr output handling for hidpi action.

 -- David Jordan <david2@system76.com>  Mon, 12 Dec 2016 11:46:17 -0700

system76-driver (16.10.6) yakkety; urgency=low

  * Set console font for HiDPI displays

 -- David Jordan <david2@system76.com>  Tue, 22 Nov 2016 11:02:49 -0700

system76-driver (16.10.5) yakkety; urgency=low

  * Fix HiDPI action failure when HiDPI display not present.

 -- David Jordan <david2@system76.com>  Tue, 22 Nov 2016 02:27:44 -0700

system76-driver (16.10.4) yakkety; urgency=low

  * Add gsettings override for internal HiDPI displays.

 -- David Jordan <david2@system76.com>  Tue, 22 Nov 2016 00:22:20 -0700

system76-driver (16.10.3) yakkety; urgency=low

  * Add daemon fix for gpe6F acpi interrupt flood for 'oryp2' and 'oryp2-ess'

 -- David Jordan <david2@system76.com>  Tue, 11 Oct 2016 15:18:12 -0600

system76-driver (16.10.2) yakkety; urgency=low

  * Add 'lemu7' to PRODUCTS
  * Add 'actions.internal_mic_gain' to 'lemu7'
  * Add 'lemu7' to NEEDS_AIRPLANE

 -- Jason Gerard DeRose <jason@system76.com>  Sat, 01 Oct 2016 17:33:15 -0600

system76-driver (16.10.1) yakkety; urgency=low

  * Add 'actions.backlight_vendor' to 'gaze11' and 'kudu3'

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 22 Sep 2016 21:43:11 -0600

system76-driver (16.10.0) yakkety; urgency=low

  * Start 16.10.x series, initial Yakkety release
  * It's going to be "oryp2-ess" after all, not "oryp2-dac"; update all the
    things as needed

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 22 Sep 2016 14:58:02 -0600

system76-driver (16.04.13) xenial; urgency=low

  * Add 'actions.i8042_reset_nomux' for 'oryp2' and 'oryp2-dac'

 -- David Jordan <david2@system76.com>  Wed, 21 Sep 2016 17:29:55 -0600

system76-driver (16.04.12) xenial; urgency=low

  * Add gfxpayload_text action to 'bonw11'

 -- David Jordan <david2@system76.com>  Fri, 16 Sep 2016 13:40:40 -0600

system76-driver (16.04.11) xenial; urgency=low

  * Change 'oryp2-ess' to 'oryp2-dac'
  * Add 'actions.pulseaudio_hp_spdif_desc' for 'bonw11', 'oryp2-dac', 'serw10'

 -- David Jordan <david2@system76.com>  Thu, 15 Sep 2016 14:59:07 -0600

system76-driver (16.04.10) xenial; urgency=low

  * Add 'kudu3', 'gaze11' to PRODUCTS, NEEDS_AIRPLANE
  * Add `actions.dac_fixup`, used by 'bonw11', 'oryp2-ess', 'serw10'

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 13 Sep 2016 10:09:37 -0600

system76-driver (16.04.9) xenial; urgency=low

  * Add 'sable6' to PRODUCTS
  * Add 'bonw11', 'serw10', 'oryp2', and 'oryp2-ess' to PRODUCTS
  * Add nvidia dithering quirks for new pascal laptops.

 -- David Jordan <david2@system76.com>  Mon, 29 Aug 2016 12:02:30 -0600

system76-driver (16.04.8) xenial; urgency=low

  * Add 'leow7' to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 25 Jul 2016 11:18:20 -0600

system76-driver (16.04.7) xenial; urgency=low

  * Drop `system76-fix-ecryptfs-swap` script as the equivalent has now been
    delivered in Xenial via USN-3032-1

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 14 Jul 2016 14:09:13 -0600

system76-driver (16.04.6) xenial; urgency=low

  * Revert changes from unpublished 16.04.5
  * Add `system76-fix-ecryptfs-swap` script to work-around ecryptfs-setup-swap
    failing to mark GPT swap partitions as non-auto-mounting on NVMe drives
    (see https://bugs.launchpad.net/ecryptfs/+bug/1597154)
  * debian/system76-driver.postinst: on configure, automatically call
    system76-fix-ecryptfs-swap; this is a quick work-around to prevent users
    with NVME + nvidia-367 + encrypted home directory from being left with an
    un-bootable system after upgrading to nvidia-367

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 29 Jun 2016 16:42:45 -0600

system76-driver (16.04.5) xenial; urgency=low

  * To temporarily work-around the consequences of lp:1597154, re-enable
    GRUB_GFXPAYLOAD_LINUX=text line on bonw10, orxp1, serw9
  * Note: 16.04.5 was never published to ppa:system76-dev/stable, was only
    published to ppa:system76-dev/pre-stable

 -- David Jordan <david2@system76.com>  Wed, 29 Jun 2016 09:09:15 -0600

system76-driver (16.04.4) xenial; urgency=low

  * Add actions.remove_gfxpayload_text to remove GRUB_GFXPAYLOAD_LINUX=text line
  * On bonw10, orxp1, serw9, replace gfxpayload_text action with
    remove_gfxpayload_text
  * Add /lib/systemd/system-sleep/system76-nm-restart script to restart
    network-manager 1 second after resuming from suspend; this works around WiFi
    reliability problems when resuming from suspend with Intel 7260 WiFi cards
    on Xenial
  * debian/control: system76-driver-nvidia now depends on nvidia-367 (in prep
    for GTX 1080, GTX 1070)
  * system76-nvidia-quirks: update Handler to "nvidia-367|nvidia-340"

 -- David Jordan <david2@system76.com>  Wed, 22 Jun 2016 10:31:39 -0600

system76-driver (16.04.3) xenial; urgency=low

  * Fix warning about not using gi.require_version('Gtk', '3.0')
    (thanks, James Gross)

 -- David Jordan <david2@system76.com>  Thu, 26 May 2016 11:47:17 -0600

system76-driver (16.04.2) xenial; urgency=low

  * debian/system76-driver.gsettings-override: switch default wallpaper to
    "Fractal Mountains"
  * debian/control: system76-driver now Depends on system76-wallpapers
    >= 16.04.1~bzr26~ubuntu16.04.1
  * debian/control: now Build-Depends on pyflakes3 (instead of pyflakes)
  * Fix typo in system76driver/model.py (thanks, Ian Santopietro)

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 22 Apr 2016 18:04:53 -0600

system76-driver (16.04.1) xenial; urgency=low

  * debian/control: system76-driver-nvidia now depends on nvidia-361
  * system76-nvidia-quirks: change Handler to "nvidia-361|nvidia-340"

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 07 Mar 2016 19:54:36 -0700

system76-driver (16.04.0) xenial; urgency=low

  * Start 16.04.x series, initial Xenial release

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 25 Feb 2016 14:05:05 -0700

system76-driver (15.10.14) wily; urgency=low

  * Add 'meer2', 'sabl5' to PRODUCTS
  * Accomidate some 'sys_vendor' goofs in our DMI info
  * Unify how the 'sys_vendor' and 'product_version' DMI values are used by
    `system76-drive-cli` and `system76-daemon` to determine whether actions
    should be taken at package-install-time and run-time, respectively
  * Improve actions.gfxpayload_text (orxp1, serw9, bonw10) to make it more
    robust, so it plays nicely with user modifications in /etc/default/grub
  * When a driver action is skipped because it has already been applied, log
    this event at level INFO instead of WARNING (as the later made it seems like
    something might have gone wrong, but in fact this is normal behavior)
  * Update the Copyright to "2005-2016 System76, Inc."

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 24 Feb 2016 04:37:44 -0700

system76-driver (15.10.13) wily; urgency=low

  * Add leow6 to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 18 Jan 2016 17:26:37 -0700

system76-driver (15.10.12) wily; urgency=low

  * Add actions.disable_pm_async to meer1, needed to work-around intermintent
    failures when resuming from suspend using the power button

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 23 Dec 2015 14:17:50 -0700

system76-driver (15.10.11) wily; urgency=low

  * Add actions.gfxpayload_text to bonw10

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 21 Dec 2015 10:55:53 -0700

system76-driver (15.10.10) wily; urgency=low

  * Add actions.backlight_vendor to gaze10, kudu2
  * Add "silw2" (Silverback WS) to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 10 Dec 2015 11:20:56 -0700

system76-driver (15.10.9) wily; urgency=low

  * Add actions.internal_mic_gain to gaze10

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 07 Dec 2015 12:05:35 -0700

system76-driver (15.10.8) wily; urgency=low

  * Add more new Skylake products:
    - bonw10 (Bonobo WS)
    - gaze10 (Gazelle)
    - kudu2 (Kudu)
  * Update Copyright to "2005-2015 System76, Inc."

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 01 Dec 2015 16:55:00 -0700

system76-driver (15.10.7) wily; urgency=low

  * Add actions.internal_mic_gain to lemu6

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 23 Nov 2015 10:57:02 -0700

system76-driver (15.10.6) wily; urgency=low

  * Laptop screen backlight brightness works with nvidia-352.63, so
    change system76-driver-nvidia to depend on `nvidia-352` instead of
    `nvidia-346-system76`
  * Following how USN-2814-1/CVE-2015-7869 was handled in Ubuntu 14.04,
    force the transition from `nvidia-346-system76` to `nvidia-352` as
    it's still unclear whether 346 is effected by this security issue

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 19 Nov 2015 15:06:38 -0700

system76-driver (15.10.5) wily; urgency=low

  * Add 'silw1b' to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 16 Nov 2015 09:00:34 -0700

system76-driver (15.10.4) wily; urgency=low

  * Add `actions.gfxpayload_text` to "orxp1"

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 05 Nov 2015 11:21:48 -0700

system76-driver (15.10.3) wily; urgency=low

  * Add `actions.gfxpayload_text`, now used by "serw9".

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 26 Oct 2015 15:26:48 -0600

system76-driver (15.10.2) wily; urgency=low

  * Also need to handle transitional 346 packages, so `nvidia-346-system76`
    must conflict/replace `nvidia-346`, `libcuda1-346`, `nvidia-opencl-icd-346`

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 23 Oct 2015 15:17:52 -0600

system76-driver (15.10.1) wily; urgency=low

  * To facilitate upgrade between 15.04 to 15.10, change system76-driver-nivida
    to only depend on `nvidia-346-system76`, and also to conflict/replace
    `nvidia-352`, `libcuda1-352`, `nvidia-opencl-icd-352`

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 23 Oct 2015 14:25:44 -0600

system76-driver (15.10.0) wily; urgency=low

  * Start 15.10.x series, initial Wily release
  * debian/system76-driver.service: add Restart=on-failure
  * debian/control: `system76-driver-nvidia` now Depends on
    (nvidia-346-system76 | nvidia-352 | nvidia-340)
  * system76-nvidia-quirks: change Handler to
    "nvidia-346-system76|nvidia-352|nvidia-340"
  * gsettings-override: "org.gnome.settings-daemon.peripherals.touchpad"
    renamed to "org.gnome.desktop.peripherals.touchpad" in Wily
  * Work around SMBIOS 2.8 issue on orxp1
  * Add new Skylake products:
    - wilp12 (Wild Dog Pro)
    - ratp5 (Ratel Pro)
    - serw9 (Serval WS)
    - lemu6 (Lemur)
    - orxp1 (Oryx Pro)

 -- Jason Gerard DeRose <jason@system76.com>  Sat, 17 Oct 2015 12:45:25 -0600

system76-driver (15.04.7) vivid; urgency=low

  * Add 'serw8-17g' to PRODUCTS, NEEDS_BRIGHTNESS_ACPI
  * Work around Wily build failure by adding new 'setup.py test --skip-gtk'
    option, not bothering with xvfb during build
  * Drop unused edid functions from system76driver.model
  * Small debian/ modernizations and fixes
  * Drop system76-driver 'Depends: gnome-color-manager' as it isn't actually
    needed anymore, feels a bit too invasive; however, we'll still pre-install
    gnome-color-manager in our standard image
  * Add system76-driver 'Suggests: gnome-color-manager' to make above transition
    a bit more friendly

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 01 Jul 2015 13:28:42 -0600

system76-driver (15.04.6) vivid; urgency=low

  * Add 'gazp9c', 'kudp1c' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 28 May 2015 13:10:13 -0600

system76-driver (15.04.5) vivid; urgency=low

  * Sync patched analog-input-internal-mic.conf with pulseaudio default file in
    Vivid

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 27 May 2015 12:28:43 -0600

system76-driver (15.04.4) vivid; urgency=low

  * Add 'bonw9' to NEEDS_AIRPLANE
  * Add 'bown9', 'serw8-15', 'serw8-17' to NEEDS_BRIGHTNESS_ACPI
  * Add 'silw1' to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 13 May 2015 11:48:01 -0600

system76-driver (15.04.3) vivid; urgency=low

  * Add 'serw8-15', 'serw8-17' to PRODUCTS, NEEDS_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 20 Apr 2015 19:03:08 -0600

system76-driver (15.04.2) vivid; urgency=low

  * Change default wallpaper to Honeycomb

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 10 Apr 2015 14:52:36 -0600

system76-driver (15.04.1) vivid; urgency=low

  * Add 'sabl4', 'bonw9' to PRODUCTS, NEEDS_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 08 Apr 2015 19:22:18 -0600

system76-driver (15.04.0) vivid; urgency=low

  * Start 15.04.x series, initial Vivid release
  * debian/control: `system76-driver-nvidia` now Depends on
    (nvidia-346 | nvidia-346-updates | nvidia-340 | nvidia-340-updates)
  * system76-nvidia-quirks: change Handler to
    "nvidia-346|nvidia-346-updates|nvidia-340|nvidia-340-updates"

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 18 Mar 2015 14:29:54 -0600

system76-driver (14.10.8) utopic; urgency=low

  * system76driver.read_dmi_id() is now failsafe when "sys_vendor" or
    "product_version" contain invalid UTF-8 data; this would never be the case
    on an actual System76 product, but the driver should politely do nothing
    when installed on non-System76 hardware
  * Add "meer1" (Meerkat) to PRODUCTS
  * Add "lemu5" (Lemur) to PRODUCTS, NEEDS_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 18 Mar 2015 10:44:44 -0600

system76-driver (14.10.7) utopic; urgency=low

  * debian/control: `system76-driver-nvidia` now Depends on
    (nvidia-346 | nvidia-331 | nvidia-331-updates)
  * system76-nvidia-quirks: change Handler to
    "nvidia-346|nvidia-331|nvidia-331-updates"

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 22 Jan 2015 09:29:50 -0700

system76-driver (14.10.6) utopic; urgency=low

  * Re-enable wifi_pm_disable for all haswell gen products, seemingly still
    needed with some access points, even with the 3.16 kernel
  * Small cosmetic changes so that the difference between the LTS and trunk
    driver branches is small and manageable
  * Add debian/system76-driver.service file for initial systemd support
    (LP: #1390152)

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 16 Jan 2015 13:13:55 -0700

system76-driver (14.10.5) utopic; urgency=low

  * Also add `internal_mic_gain` action back for daru4, gazp9b, and kudp1b,
    likewise still needed on Utopic
  * system76driver/daemon.py: add a number of small optimizations that in total
    mean that support for the airplane mode hotkey (Haswell gen laptops) incurs
    around half the events per second and less than a quarter of the CPU usage
    (as measured by `powertop`)
  * Drop `wifi_pm_disable` action from all Haswell gen laptops as the latest
    3.16 kernel plus the latest linux-firmware package seem to have completely
    fixed the latency, reliability, and performance issues previously
    encountered when power management was turned on for Intel 3160/7260 cards

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 10 Dec 2014 16:49:57 -0700

system76-driver (14.10.4) utopic; urgency=low

  * Bring back `internal_mic_gain` fix, still needed for galu1 on Utopic.

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 18 Nov 2014 10:23:20 -0700

system76-driver (14.10.3) utopic; urgency=low

  * Update to new System76 branding!
  * debian/system76-driver.install: don't install "Old Man Smoked His Pipe"
    wallpaper, nor system76-wallpapers.xml, as these files have moved into the
    new `system76-wallpapers` package (separate source package/tree)
  * debian/control: `system76-driver` now depends on "system76-wallpapers"
  * debian/system76-driver.gsettings-override: switch default background to
    "Geometric" for new System76 brand launch
  * debian/system76-driver.gsettings-override: add [com.canonical.Unity.Lenses]
    section, set 'remote-content-search' to 'none'

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 09 Nov 2014 02:47:29 -0700

system76-driver (14.10.2) utopic; urgency=low

  * Change 'The Leopard Extreme' to 'Leopard Extreme' to be consistent with
    website
  * Add 'leox5' to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 03 Nov 2014 10:10:39 -0700

system76-driver (14.10.1) utopic; urgency=low

  * debian/control: `system76-driver-nvidia` now Depends on
    (nvidia-343 | nvidia-331 | nvidia-331-updates)
  * system76-nvidia-quirks: change Handler to
    "nvidia-343|nvidia-331|nvidia-331-updates"

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 22 Oct 2014 10:55:18 -0600

system76-driver (14.10.0) utopic; urgency=low

  * Start 14.10.x series, initial Utopic release
  * Drop `disable_power_well` action as it's no longer needed for Haswell
    laptop products with the Linux 3.16 kernel (LP: #1356507)
  * Switch from `acpi_video0` to `intel_backlight` on all Haswell products,
    use 75% of max_brightness for default brightness (LP: #1375477)
  * debian/system76-driver.upstart: in order to fix backlight brightness
    restore, "start on (login-session-start or desktop-session-start)"
    (LP: #1378974)
  * Drop `internal_mic_gain` action from daru4, galu1, gazp9b, and kudp1b, as
    its no longer needed on Utopic
  * debian/control: `system76-driver-nvidia` now Depends on
    (nvidia-343 | nvidia-331-updates)
  * system76-nvidia-quirks: change Handler to "nvidia-343|nvidia-331-updates"

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 21 Oct 2014 11:17:41 -0600

system76-driver (14.04.10) trusty; urgency=low

  * Add "ratp4" and "wilp11" to PRODUCTS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 08 Sep 2014 10:18:35 -0600

system76-driver (14.04.9) trusty; urgency=low

  * Drop remaining caps fix from system76-daemon
  * Add "sabc3", "sabt3" to PRODUCTS, DEFAULT_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 30 Jul 2014 10:32:07 -0600

system76-driver (14.04.8) trusty; urgency=low

  * Re-enable backlight_vendor action on gazp9 as some early BIOS versions
    still need this, even on Trusty

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 18 May 2014 11:56:00 -0600

system76-driver (14.04.7) trusty; urgency=low

  * Oops, sys_vendor on daru4 is 'System76, Inc' rather than 'System76, Inc.'

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 09 May 2014 14:53:25 -0600

system76-driver (14.04.6) trusty; urgency=low

  * As screen revisions within a product lifetime make it too difficult to
    supply a correct color profile out of the box, drop color profile actions
    from bonx7, galu1, gazp9 (note this wont remove profiles already
    installed, will only effect new shipments and re-installs)
  * debian/control: drop Build-Depends/Depends on `python3-dbus`, as it was
    only needed for color-profile actions
  * debian/control: add Depends on `pm-utils` as some driver actions expect
    /etc/pm/power.d/ to exist, which seems not to be installed by default on
    Xubuntu, Ubuntu GNOME
  * Rework GrubAction and its subclasses so that it preserves customer changes
    and can also remove previously added kernel parameters when needed
  * Rework system76-driver-cli to make it more suitable for automatically
    being called from a postinst script
  * Add debian/system76-driver.postinst that automatically calls
    /usr/bin/system76-driver-cli
  * system76-daemon no longer needs to fix caps on /bin/ping, /bin/ping6,
    /usr/bin/arping as the `iputils` package as been updated and reverted to
    use suid again; however, caps fix on /usr/bin/gnome-keyring-daemon is
    still needed
  * Add remove_backlight_vendor action to gazp9, gazp9b to properly remove
    acpi_backlight=vendor from GRUB_CMDLINE_LINUX_DEFAULT
  * On daru4, replace `grub_daru4` with `backlight_vendor` plus
    `disable_power_well` actions now that GrubAction is cumulative

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 09 May 2014 13:22:25 -0600

system76-driver (14.04.5) trusty; urgency=low

  * Add hdmi_hotplug_fix action to daru4, galu1, gazp9, gazp9b, kudp1, kudp1b
  * Drop backlight_vendor action from gazp9, gazp9b (not needed on Trusty)
  * Add disable_power_well action to galu1, gazp9, gazp9b, kudp1, kudp1b
  * Add grub_daru4 action to daru4, which combines the `backlight_vendor` and
    `disable_power_well` actions
  * Up Airplane Mode poll interval to 500ms (from 375ms)
  * system76-daemon will now automatically fix caps on /bin/ping, /bin/ping6,
    /usr/bin/arping, and /usr/bin/gnome-keyring-daemon to correct for imaging
    not correctly handling caps for a short time after Trusty was released

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 02 May 2014 17:03:19 -0600

system76-driver (14.04.4) trusty; urgency=low

  * Add "gazp9b" to PRODUCTS, NEEDS_AIRPLANE, DEFAULT_BRIGHTNESS
  * Add "kudp1b" to PRODUCTS, NEEDS_AIRPLANE, DEFAULT_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 28 Apr 2014 17:39:56 -0600

system76-driver (14.04.3) trusty; urgency=low

  * Fix system76-driver.desktop so System76 Driver shows up in System Settings
    on Ubuntu 14.04

 -- Jason Gerard DeRose <jason@system76.com>  Sat, 26 Apr 2014 09:24:25 -0600

system76-driver (14.04.2) trusty; urgency=low

  * daru4 is now named "Darter UltraTouch"
  * setup.py: require Python >= 3.4 as we wont be testing with 3.3 anymore
  * setup.py: "test" command now runs static analysis with `pyflakes3`, fails
    if any pyflakes checks fail
  * debian/control: add `pyflakes` to Build-Depends
  * Fix several needless imports caught by pyflakes
  * Add "ratp3" to PRODUCTS
  * Add "bonx8" to DEFAULT_BRIGHTNESS (still needed)
  * Drop "lemu1" brightness hotkey fix on "gazp7" (not needed on Ubuntu 14.04)
  * debian/control: bump Standards-Version to 3.9.5

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 21 Apr 2014 13:09:43 -0600

system76-driver (14.04.1) trusty; urgency=low

  * As Intel 3160/7260 have performance and user-experience issues when power
    management is on, add `wifi_pm_disable` action for daru4, kudp1
  * Add "bonx8" to PRODUCTS, NEEDS_AIRPLANE

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 15 Apr 2014 16:16:19 -0600

system76-driver (14.04.0) trusty; urgency=low

  * Start 14.04.0 series, initial Trusty release
  * debian/control: system76-driver-nvidia now Depends on nvidia-331-updates
  * system76-nvidia-quirks: change Handler to "nvidia-331-updates"
  * debian/control: require python3 >= 3.4

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 26 Mar 2014 16:20:32 -0600

system76-driver (13.10.6) saucy; urgency=low

  * Added "sabt2" to PRODUCTS, DEFAULT_BRIGHTNESS
  * Added "sabc2" to PRODUCTS, DEFAULT_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 21 Jan 2014 15:51:48 -0700

system76-driver (13.10.5) saucy; urgency=low

  * Added "sabt1" to PRODUCTS, DEFAULT_BRIGHTNESS

 -- Jason Gerard DeRose <jason@system76.com>  Mon, 25 Nov 2013 20:08:27 -0700

system76-driver (13.10.4) saucy; urgency=low

  * Enable Radeon GPU power management on panp7 via radeon.dpm=1 boot param
  * Add "kudp1" to PRODUCTS, NEEDS_AIRPLANE, DEFAULT_BRIGHTNESS
  * Fix brightness restore for Haswell gen products on Saucy (system76-daemon
    now starts on "login-session-start" rather than "local-filesystems")
  * Reduce system76-daemon memory usage via a bit of refactoring in order to
    avoid importing needless Python modules (26 fewer modules now!)

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 15 Nov 2013 15:04:06 -0700

system76-driver (13.10.3) saucy; urgency=low

  * Fix Color Profile actions for cases when /var/tmp and /var/lib are on
    different filesystems (eg, /var/tmp on a tmpfs)

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 22 Oct 2013 16:36:30 -0600

system76-driver (13.10.2) saucy; urgency=low

  * Oops, bad side effects from hiding input source indicator

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 18 Oct 2013 16:25:20 -0600

system76-driver (13.10.1) saucy; urgency=low

  * gsettings-override changes:
    - Don't show input source in the menu bar by default
    - Two-finger scrolling is on by default in 13.10, no need for override

 -- Jason Gerard DeRose <jason@system76.com>  Tue, 15 Oct 2013 20:57:03 -0600

system76-driver (13.10.0) saucy; urgency=low

  * Start 13.10 series, initial Saucy release

 -- Jason Gerard DeRose <jason@system76.com>  Thu, 10 Oct 2013 21:40:53 -0600
